org.openstreetmap.josm.plugins.streetside.io.download

## Enum StreetsideDownloader.DOWNLOAD_MODE

- java.lang.Object
- - java.lang.Enum<StreetsideDownloader.DOWNLOAD_MODE>
  - - org.openstreetmap.josm.plugins.streetside.io.download.StreetsideDownloader.DOWNLOAD_MODE

- All Implemented Interfaces:
    Serializable, Comparable<StreetsideDownloader.DOWNLOAD_MODE>
  Enclosing class:
    StreetsideDownloader

      public static enum StreetsideDownloader.DOWNLOAD_MODE
      extends Enum<StreetsideDownloader.DOWNLOAD_MODE>

  Possible download modes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MANUAL_ONLY`
    `OSM_AREA`
    `VISIBLE_AREA`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StreetsideDownloader.DOWNLOAD_MODE` | `DEFAULT`
    `private String` | `label`
    `private String` | `prefId`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StreetsideDownloader.DOWNLOAD_MODE` | `fromLabel(String label)`
    `static StreetsideDownloader.DOWNLOAD_MODE` | `fromPrefId(String prefId)`
    `String` | `getLabel()`
    `String` | `getPrefId()`
    `static StreetsideDownloader.DOWNLOAD_MODE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StreetsideDownloader.DOWNLOAD_MODE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VISIBLE_AREA

          public static final StreetsideDownloader.DOWNLOAD_MODE VISIBLE_AREA

    - #### OSM_AREA

          public static final StreetsideDownloader.DOWNLOAD_MODE OSM_AREA

    - #### MANUAL_ONLY

          public static final StreetsideDownloader.DOWNLOAD_MODE MANUAL_ONLY

  - ### Field Detail

    - #### DEFAULT

          public static final StreetsideDownloader.DOWNLOAD_MODE DEFAULT

    - #### prefId

          private final String prefId

    - #### label

          private final String label

  - ### Method Detail

    - #### values

          public static StreetsideDownloader.DOWNLOAD_MODE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StreetsideDownloader.DOWNLOAD_MODE c : StreetsideDownloader.DOWNLOAD_MODE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StreetsideDownloader.DOWNLOAD_MODE valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPrefId

          public String getPrefId()

      Returns:
        the ID that is used to represent this download mode in the JOSM preferences

    - #### getLabel

          public String getLabel()

      Returns:
        the (internationalized) label describing this download mode

    - #### fromPrefId

          public static StreetsideDownloader.DOWNLOAD_MODE fromPrefId(String prefId)

    - #### fromLabel

          public static StreetsideDownloader.DOWNLOAD_MODE fromLabel(String label)

JOSM Plugins